Skip to main content
GET
/
api
/
activities
/
{id}
Get Activity by ID
curl --request GET \
  --url https://platform.kodexa.ai/api/activities/{id} \
  --header 'x-api-key: <api-key>'
{
  "activityPlanId": "<string>",
  "changeSequence": 123,
  "completedOn": "2023-11-07T05:31:56Z",
  "completedWorkUnits": 123,
  "createdOn": "2023-11-07T05:31:56Z",
  "currentSequence": 123,
  "description": "<string>",
  "errorDetails": "<string>",
  "failedWorkUnits": 123,
  "id": "<string>",
  "inputs": {},
  "metadata": {},
  "organization": {
    "authGroupLink": {
      "authGroup": "<string>"
    },
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "defaultToPrivateTemplates": true,
    "description": "Document processing organization for Acme Corp.",
    "enterpriseOrganization": true,
    "features": {},
    "hasImage": true,
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "memory": {
      "orderedDashboards": [
        "<string>"
      ]
    },
    "name": "Acme Corp",
    "organizationStatus": "ACTIVE",
    "properties": {},
    "publicAccess": true,
    "searchText": "<string>",
    "slug": "acme-corp",
    "stripeCustomerId": "<string>",
    "supportAccess": true,
    "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "550e8400e29b41d4a716446655440000"
  },
  "organizationId": "<string>",
  "parentActivityId": "<string>",
  "projectId": "<string>",
  "runningWorkUnits": 123,
  "startedByIntakeId": "<string>",
  "startedByTriggerId": "<string>",
  "startedOn": "2023-11-07T05:31:56Z",
  "status": "<string>",
  "steps": [
    {
      "activityId": "<string>",
      "agentId": "<string>",
      "agentRuntimeId": "<string>",
      "agentSessionId": "<string>",
      "approvalCriteria": {},
      "approvalOutcome": "<string>",
      "approverRole": "<string>",
      "bridgeActions": {},
      "bridgeResult": {},
      "bypass": true,
      "changeSequence": 123,
      "childTaskId": "<string>",
      "completedActionUuid": "<string>",
      "completedDocFamilyIds": {},
      "completedOn": "2023-11-07T05:31:56Z",
      "conditionExpression": {},
      "createdOn": "2023-11-07T05:31:56Z",
      "currentDocFamilyId": "<string>",
      "disableCache": true,
      "endpointName": "<string>",
      "enrichment": {},
      "errorDetails": {},
      "executionId": "<string>",
      "id": "<string>",
      "includeDocument": {},
      "insertedAt": "2023-11-07T05:31:56Z",
      "insertedById": "<string>",
      "joinPolicy": "<string>",
      "kind": "<string>",
      "llmModelName": "<string>",
      "logGroup": "<string>",
      "logStream": "<string>",
      "mappedOutput": {},
      "maxParallel": 123,
      "maxStepsToInsert": 123,
      "moduleRef": "<string>",
      "moduleRefs": {},
      "name": "<string>",
      "options": {},
      "organization": {
        "authGroupLink": {
          "authGroup": "<string>"
        },
        "changeSequence": 123,
        "createdOn": "2023-11-07T05:31:56Z",
        "defaultToPrivateTemplates": true,
        "description": "Document processing organization for Acme Corp.",
        "enterpriseOrganization": true,
        "features": {},
        "hasImage": true,
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "memory": {
          "orderedDashboards": [
            "<string>"
          ]
        },
        "name": "Acme Corp",
        "organizationStatus": "ACTIVE",
        "properties": {},
        "publicAccess": true,
        "searchText": "<string>",
        "slug": "acme-corp",
        "stripeCustomerId": "<string>",
        "supportAccess": true,
        "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
        "updatedOn": "2023-11-07T05:31:56Z",
        "uuid": "550e8400e29b41d4a716446655440000"
      },
      "organizationId": "<string>",
      "outputMapping": {},
      "perDocument": true,
      "plannerContext": {},
      "prompt": "<string>",
      "promptActions": {},
      "promptBody": "<string>",
      "promptRendered": "<string>",
      "promptResult": {},
      "promptTemplateRef": "<string>",
      "promptVariables": {},
      "requestBody": {},
      "requestHeaders": {},
      "requestPath": {},
      "requestQuery": {},
      "requestScript": "<string>",
      "result": {},
      "scriptActions": {},
      "scriptBody": "<string>",
      "scriptResult": {},
      "scriptSidecars": {},
      "sequence": 123,
      "serviceBridgeRef": "<string>",
      "skipReason": "<string>",
      "slug": "<string>",
      "startedOn": "2023-11-07T05:31:56Z",
      "status": "<string>",
      "taskData": {},
      "taskStatusSlug": "<string>",
      "taskTemplateRef": "<string>",
      "timeoutSeconds": 123,
      "treatAsError": "<string>",
      "updatedOn": "2023-11-07T05:31:56Z",
      "uuid": "<string>",
      "waitForCompletion": true
    }
  ],
  "taskId": "<string>",
  "title": "<string>",
  "totalWorkUnits": 123,
  "triggerKind": "<string>",
  "triggerMetadata": {},
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "<string>",
  "version": 123
}

Documentation Index

Fetch the complete documentation index at: https://developer.kodexa.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Response

The Activity

activityPlanId
string | null
changeSequence
integer<int32>
completedOn
string<date-time> | null
completedWorkUnits
integer<int32> | null
createdOn
string<date-time>
currentSequence
integer<int32> | null
description
string | null
errorDetails
string | null
failedWorkUnits
integer<int32> | null
id
string
inputs
object
metadata
object
organization
object

An organization is the top-level tenant in Kodexa. All projects, stores, and resources belong to an organization.

organizationId
string | null
parentActivityId
string | null
projectId
string | null
runningWorkUnits
integer<int32> | null
startedByIntakeId
string | null
startedByTriggerId
string | null
startedOn
string<date-time> | null
status
string
steps
object[]
taskId
string | null
title
string | null
totalWorkUnits
integer<int32> | null
triggerKind
string
triggerMetadata
object
updatedOn
string<date-time>
uuid
string
version
integer<int32> | null